View Issue Details

IDProjectCategoryView StatusLast Update
0000979DCP-o-matic[All Projects] Clean-uppublic2016-11-16 11:22
ReporterCarstenAssigned Tocarl 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformMacOSOS XOS Version10.6
Product Version2.9.0 
Target Version2.10.1Fixed in Version 
Summary0000979: forced 'Create KDM' dialog exit after editing cinema/screen database
DescriptionWhen editing cinemas/screens, and choosing either 'OK' or 'Cancel', we are back in the main GUI.
However, we should stay in the 'Create KDM' dialog.

- Carsten
TagsNo tags attached.
Estimated work requiredAverage

Activities

Carsten

2016-10-24 13:09

reporter   ~0001479

Last edited: 2016-10-29 23:37

View 3 revisions

Upps, sorry, might be a Mac specific problem - there is no forced exit, it's just that the main 'Make KDM' form is sent to the background and the main window comes on top...

Yep - doesn't happen in the Windows version.


Hmm - maybe add a 'Close' button to the 'Make KDM' main window?

carl

2016-10-29 23:59

administrator   ~0001491

Last edited: 2016-10-29 23:59

View 2 revisions

Might be wxWidgets bug

http://trac.wxwidgets.org/changeset/2fa4a0be4ecd4169aa655f296733fe6ca99048e2/git-wxWidgets#file0

... rebuilding with patch for that.

carl

2016-10-30 09:21

administrator   ~0001492

Fixed in 2.9.39 by patch f53387bcdc9540d187ccb7befe8b60814451078e to the OS X environment tree.

carl

2016-11-15 14:47

administrator   ~0001538

Last edited: 2016-11-15 14:48

View 2 revisions

Not fixed in 2.9.40 on OS X 10.11.6; "Edit Cinema" -> OK -> z-order wrong.

carl

2016-11-16 11:18

administrator   ~0001542

Add Cinema works OK, Edit Cinema does not.

carl

2016-11-16 11:22

administrator   ~0001544

Should be further fixed by f60e199caede4404af4efe144200e1b5ac26b347

Issue History

Date Modified Username Field Change
2016-10-24 13:04 Carsten New Issue
2016-10-24 13:09 Carsten Note Added: 0001479
2016-10-24 13:18 carl Target Version => 2.10.0
2016-10-28 21:57 carl Assigned To => carl
2016-10-28 21:57 carl Status new => confirmed
2016-10-29 23:37 Carsten Note Edited: 0001479 View Revisions
2016-10-29 23:37 Carsten Note Edited: 0001479 View Revisions
2016-10-29 23:59 carl Note Added: 0001491
2016-10-29 23:59 carl Note Edited: 0001491 View Revisions
2016-10-30 09:21 carl Note Added: 0001492
2016-10-30 09:21 carl Status confirmed => resolved
2016-10-30 09:21 carl Resolution open => fixed
2016-11-15 14:47 carl Note Added: 0001538
2016-11-15 14:47 carl Status resolved => confirmed
2016-11-15 14:47 carl Target Version 2.10.0 => 2.10.1
2016-11-15 14:48 carl Note Edited: 0001538 View Revisions
2016-11-16 11:18 carl Note Added: 0001542
2016-11-16 11:22 carl Note Added: 0001544
2016-11-16 11:22 carl Status confirmed => resolved